#ifndef CGRAPHICS2D_H
#define CGRAPHICS2D_H

#include <QImage>
#include <QColor>
#include "cmaths.h"

//---------------------------------------------------------------------------------------------
class CGraphics2D
{
public:
    CGraphics2D();
    void    line(QImage* image, const CVec2& p1, const CVec2& p2, QColor color);
    void    rect(QImage* image, const CRect& r, QColor color, bool filled = false);
    void    drawImage(QImage* destImage, const CVec2& pos, const QImage& srcImage, int angle = 0, bool flipX = false);
};

extern CGraphics2D  graph2D;

#endif // CGRAPHICS2D_H
